import { Component, OnInit, } from '@angular/core';
import { MyService } from '../../my/my.service';
import { LifeCommonService } from '../../common/life-common.service';
import { OnDestroy } from "@angular/core";
import { Router } from "@angular/router";

@Component({
	selector: 'ydlife-aiofp',
	templateUrl: './aiofp.component.html',
	styleUrls: ['./aiofp.component.scss']
})
export class AiofpComponent implements OnInit, OnDestroy {

	constructor(private myService : MyService, public lifeCommonService : LifeCommonService, public router : Router,) {
		// this.subscription = lifeCommonService.shareStatus$.subscribe(status => {
		//   this.shareAbled = !(status == '0');
		// });
	}

	ngOnInit() {
		let windowH = window.outerHeight;
		document.getElementById("content").style.height = windowH + 'px';
	}

	ngOnDestroy() {

	}
	back() {
		window.history.back();
	}

}